import request from '@/utils/request'

// 查询二级专业列表
export function listSyMajorCategory(query) {
  return request({
    url: '/sy/syMajorCategory/list',
    method: 'get',
    params: query
  })
}

// 查询二级专业详细
export function getSyMajorCategory(id) {
  return request({
    url: '/sy/syMajorCategory/' + id,
    method: 'get'
  })
}

// 新增二级专业
export function addSyMajorCategory(data) {
  return request({
    url: '/sy/syMajorCategory',
    method: 'post',
    data: data
  })
}

// 修改二级专业
export function updateSyMajorCategory(data) {
  return request({
    url: '/sy/syMajorCategory',
    method: 'put',
    data: data
  })
}

// 删除二级专业
export function delSyMajorCategory(id) {
  return request({
    url: '/sy/syMajorCategory/' + id,
    method: 'delete'
  })
}

// 导出二级专业
export function exportSyMajorCategory(query) {
  return request({
    url: '/sy/syMajorCategory/export',
    method: 'get',
    params: query
  })
}